#spinner {
  opacity: 0;
  visibility: hidden;
  transition:
    opacity 0.8s ease-out,
    visibility 0s linear 0.5s;
  z-index: 99999;
}
#spinner.show {
  transition:
    opacity 0.8s ease-out,
    visibility 0s linear 0s;
  visibility: visible;
  opacity: 1;
}
.back-to-top {
  position: fixed;
  right: 30px;
  bottom: 30px;
  display: flex;
  width: 45px;
  height: 45px;
  align-items: center;
  justify-content: center;
  transition: 0.5s;
  z-index: 99;
}
.btn {
  font-weight: 600;
  transition: 0.5s;
}
.btn-square {
  width: 32px;
  height: 32px;
}
.btn-sm-square {
  width: 34px;
  height: 34px;
}
.btn-md-square {
  width: 44px;
  height: 44px;
}
.btn-lg-square {
  width: 56px;
  height: 56px;
}
.btn-square,
.btn-sm-square,
.btn-md-square,
.btn-lg-square {
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: normal;
}
.btn-hover-bg {
  transition: 0.5s;
}
.btn-hover-bg:hover {
  background: var(--bs-secondary) !important;
  color: var(--bs-primary) !important;
}
.btn-hover-color {
  transition: 0.5s;
}
.btn-hover-color:hover {
  color: var(--bs-secondary) !important;
}
.fixed-top .container {
  transition: 0.5s;
}
.topbar {
  padding: 2px 10px 2px 20px;
  background: var(--bs-primary) !important;
}
.topbar a,
.topbar a i {
  transition: 0.5s;
}
.topbar a:hover,
.topbar a i:hover {
  color: var(--bs-secondary) !important;
}
@media (max-width: 768px) {
  .topbar {
    display: none;
  }
}
.navbar {
  padding: 0;
}
.navbar .navbar-nav .nav-link {
  padding: 10px 15px;
  font-size: 16px;
  transition: 0.5s;
}
.navbar .navbar-nav .nav-link:hover,
.navbar .navbar-nav .nav-link.active,
.sticky-top.bg-white .navbar .navbar-nav .nav-link:hover,
.sticky-top.bg-white .navbar .navbar-nav .nav-link.active {
  color: var(--bs-primary);
}
.navbar .dropdown-toggle::after {
  border: none;
  content: "\f107";
  font: normal normal normal 14px/1 FontAwesome;
  font-weight: 900;
  vertical-align: middle;
  margin-left: 5px;
  transition: 0.5s;
}
@media (min-width: 1200px) {
  .navbar .nav-item .dropdown-menu {
    display: block;
    visibility: hidden;
    top: 100%;
    transform: rotateX(-75deg);
    transform-origin: 0% 0%;
    border: 0;
    transition: 0.5s;
    opacity: 0;
  }
}
@media (max-width: 1200px) {
  .navbar .collapse.navbar-collapse .btn-hover-bg.btn {
    margin-bottom: 20px;
  }
}
.dropdown .dropdown-menu a:hover {
  background: var(--bs-secondary);
  color: var(--bs-primary);
}
.navbar .nav-item:hover > .dropdown-menu {
  transform: rotateX(0deg);
  visibility: visible;
  background: var(--bs-light) !important;
  transition: 0.5s;
  opacity: 1;
}
.carousel-header #carouselId .carousel-control-prev,
.carousel-header #carouselId .carousel-control-next {
  background: transparent;
}
.carousel-header #carouselId .carousel-inner .carousel-item .carousel-caption {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  padding-top: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  background: linear-gradient(rgb(0 0 0 / 0%), rgb(0 0 0 / 18%));
  background-size: cover;
}
.carousel-control-prev,
.carousel-control-next {
  opacity: 0;
}
.carousel-header #carouselId.carousel {
  position: relative;
}
.carousel-header #carouselId.carousel .carousel-indicators {
  position: absolute;
  bottom: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background: transparent !important;
}
.carousel-header #carouselId.carousel .carousel-indicators li {
  width: 12px;
  height: 12px;
  border-radius: 12px !important;
  border: 5px solid transparent;
  transition: 0.5s;
}
.carousel-header #carouselId.carousel .carousel-indicators li.active {
  border: 5px solid var(--bs-primary) !important;
  border-radius: 10px;
}
.bg-breadcrumb {
  background:
    linear-gradient(rgba(0, 0, 0, 0.6), rgba(0, 0, 0, 0.6)),
    url(../img/breadcrumb-bg.jpg);
  background-position: center center;
  background-repeat: no-repeat;
  background-size: cover;
  padding: 100px 0 0 0;
}
.about .tab-class .nav .nav-item a.active,
.about .tab-class .nav .nav-item a.active span {
  background: var(--bs-primary) !important;
  color: var(--bs-white) !important;
}
.service .service-item {
  position: relative;
  overflow: hidden;
}
.service .service-item .service-link {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 20px;
  bottom: 0;
  left: 0;
  display: flex;
  align-items: end;
  background: rgba(0, 0, 0, 0.3);
  transition: 0.5s;
}
.service .service-item .service-link:hover {
  background: rgba(0, 0, 0, 0.6);
}
.service .service-item .service-link a {
  color: var(--bs-white);
  transition: 0.5s;
}
.service .service-item img {
  transition: 0.5s;
}
.service .service-item:hover img {
  transform: scale(1.2);
}
.service .service-item .service-link:hover a:hover {
  color: var(--bs-primary);
}
.fact {
  margin-top: 80px;
}
.fact-item .fact-icon {
  width: 120px;
  height: 120px;
  margin-top: -60px;
  margin-bottom: 1.5rem;
  display: inline-flex;
  align-items: center;
  justify-content: center;
  background: #ffffff;
  border-radius: 120px;
  transition: 0.5s;
}
.fact-item:hover .fact-icon {
  background: #000;
}
.fact-item .fact-icon i {
  color: var(--primary);
  transition: 0.5;
}
.fact-item:hover .fact-icon i {
  color: #8d8d8d;
}
.teams .teams-item {
  position: relative;
  overflow: hidden;
  z-index: 1;
}
.teams .teams-item::after {
  width: 100%;
  height: 100%;
  position: absolute;
  content: "";
  top: 0;
  left: 0;
  display: flex;
  background: rgba(0, 0, 0, 0.01);
  z-index: 2;
}
.teams .teams-item .teams-content {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 20px;
  justify-content: end;
  bottom: -60px;
  left: 0;
  transition: 0.5s;
  z-index: 3;
}
.teams .teams-item:hover .teams-content {
  position: absolute;
  width: 100%;
  height: 100%;
  padding: 20px;
  justify-content: end;
  bottom: 0px;
  left: 0;
  background: rgba(0, 0, 0, 0.6);
}
.teams .teams-item .teams-btn {
  visibility: hidden;
  opacity: 0;
  transition: 0.5s;
}
.teams .teams-item:hover .teams-btn {
  visibility: visible;
  opacity: 1;
}
.testimonial-carousel {
  display: flex !important;
  flex-direction: column-reverse;
  max-width: 700px;
  margin: 0 auto;
}
.testimonial-carousel .owl-dots {
  height: 100px;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 30px;
}
.testimonial-carousel .owl-dots .owl-dot {
  position: relative;
  width: 60px;
  height: 60px;
  margin: 0 5px;
  transition: 0.5s;
}
.testimonial-carousel .owl-dots .owl-dot.active {
  width: 100px;
  height: 100px;
}
.testimonial-carousel .owl-dots .owl-dot::after {
  position: absolute;
  width: 40px;
  height: 40px;
  bottom: -20px;
  left: 50%;
  transform: translateX(-50%);
  display: flex;
  align-items: center;
  justify-content: center;
  content: "\f10d";
  font: normal normal normal 14px/1 FontAwesome;
  font-weight: 900;
  color: var(--primary);
  background: #ffffff;
  border-radius: 40px;
  transition: 0.5s;
  opacity: 0;
}
.testimonial-carousel .owl-dots .owl-dot.active::after {
  opacity: 1;
}
.testimonial-carousel .owl-dots .owl-dot img {
  opacity: 0.4;
  transition: 0.5s;
}
.testimonial-carousel .owl-dots .owl-dot.active img {
  opacity: 1;
}
.counter .counter-item .counter-counting {
  width: 100%;
  text-align: center;
  border-style: dotted;
  border-color: var(--bs-white);
  font-size: 30px;
}
.causes .causes-item {
  overflow: hidden;
}
.causes .causes-item .causes-img {
  position: relative;
  transition: 0.5s;
}
.causes .causes-item .causes-img .causes-link {
  position: absolute;
  width: 100%;
  height: 100%;
  bottom: 0 !important;
  left: 0;
  display: flex;
  justify-content: space-between;
  align-items: end;
  background: rgba(0, 0, 0, 0.2);
  transition: 0.5s;
}
.causes .causes-item .causes-img:hover .causes-link {
  background: rgba(0, 0, 0, 0.6);
}
.causes .causes-item .causes-img img {
  transition: 0.5s;
}
.causes .causes-item .causes-img:hover img {
  transform: scalex(-1);
}
.causes .causes-item .causes-img .causes-dination {
  position: absolute;
  top: 0;
  right: 0;
}
.causes .causes-item .causes-img .causes-dination a {
  font-size: 14px;
}
.causes .causes-item .causes-content {
  background: var(--bs-secondary);
  border-color: var(--bs-white);
  border-style: dotted;
  border-top: 0;
}
.causes .causes-item .progress {
  height: 10px;
  overflow: visible;
}
.causes .causes-item .progress .progress-bar {
  position: relative;
  width: 0;
  overflow: visible;
  background: var(--bs-primary);
  transition: 2s;
}
.causes .causes-item .progress .progress-bar span {
  position: absolute;
  top: 50%;
  right: -1px;
  transform: translateY(-50%);
  padding: 1px 5px;
  font-size: 12px;
  color: var(--bs-white);
  background: var(--bs-dark);
  z-index: 1;
}
.event .event-carousel.owl-carousel {
  position: relative;
}
.event .event-carousel.owl-carousel .owl-nav .owl-prev {
  position: absolute;
  top: -60px;
  left: 0;
  width: 80px;
  height: 40px;
  border: 1px solid var(--bs-primary);
  background: var(--bs-primary);
  color: var(--bs-white);
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.5s;
}
.event .event-carousel.owl-carousel .owl-nav .owl-next {
  position: absolute;
  top: -60px;
  right: 0;
  width: 80px;
  height: 40px;
  border: 1px solid var(--bs-primary);
  background: var(--bs-primary);
  color: var(--bs-white);
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.5s;
}
.event .event-carousel.owl-carousel .owl-nav .owl-prev:hover,
.event .event-carousel.owl-carousel .owl-nav .owl-next:hover {
  background: var(--bs-secondary);
  color: var(--bs-primary);
}
.event .event-carousel .event-item .event-content {
  border-style: dotted;
  border-top: 0;
  border-color: var(--bs-white);
  background: var(--bs-secondary);
}
.blog .blog-item .blog-img {
  position: relative;
  overflow: hidden;
}
.blog .blog-item .blog-img .blog-info {
  position: absolute;
  width: 100%;
  height: 100%;
  bottom: 0;
  left: 0;
  padding: 20px;
  background: rgba(0, 0, 0, 0.2);
  color: var(--bs-white) !important;
  display: flex;
  align-items: end;
  justify-content: space-between;
  transition: 0.5s;
}
.blog .blog-item .blog-img:hover .blog-info {
  background: rgba(0, 0, 0, 0.6);
}
.blog .blog-item .blog-img .search-icon {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  transition: 0.5s;
}
.blog .blog-item .blog-img img {
  transition: 0.5s;
}
.blog .blog-item .blog-img:hover img {
  transform: scale(1.3);
}
.blog .blog-item .blog-img:hover .search-icon {
  opacity: 1;
}
.gallery .gallery-item {
  position: relative;
  overflow: hidden;
  z-index: 1;
  height: 100%;
}
.gallery .portfolio-item img {
  transition: 0.5s;
}
.gallery .portfolio-item:hover img {
  transform: scale(1.2);
}
.gallery .gallery-item .gallery-content {
  position: absolute;
  width: 100%;
  height: 0;
  bottom: 0;
  left: 0;
  background: rgba(249, 195, 123, 0.4);
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: end;
  transition: 0.5s;
  z-index: 2;
}
.gallery .gallery-item:hover .gallery-content {
  height: 100%;
}
.gallery .gallery-item .gallery-content .gallery-inner {
  transition: 0.5s;
  background: rgba(0, 0, 0, 0.1);
  padding-top: 40px;
}
.gallery .gallery-item:hover .gallery-content .gallery-inner {
  background: rgba(249, 195, 123, 1);
  padding: 50px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.gallery .gallery-item .search-icon {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin-top: -80px;
  opacity: 0;
  transition: 0.5s;
  z-index: 3;
}
.gallery .gallery-item:hover .search-icon {
  opacity: 1;
}
.volunteer {
  background: rgba(249, 195, 123, 0.1);
}
.volunteer .volunteer-img {
  position: relative;
  overflow: hidden;
}
.volunteer .volunteer-img .volunteer-title {
  position: absolute;
  width: 100%;
  height: 100%;
  bottom: 0;
  left: 0;
  padding: 10px;
  background: rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
  text-align: center;
  justify-content: end;
  transition: 0.5s;
}
.volunteer .volunteer-img:hover .volunteer-title {
  background: rgba(0, 0, 0, 0.5);
}
.volunteer .volunteer-img img {
  transition: 0.5s;
}
.volunteer .volunteer-img:hover img {
  transform: scale(1.2);
}
.contact {
  background: rgba(249, 195, 123, 0.4);
  border-style: dotted;
  border-color: var(--bs-white);
}
.footer {
  border-top: 3px;
  border-right: 0;
  border-bottom: 0;
  border-left: 0;
  border-style: dotted;
  border-color: var(--bs-light);
}
.footer .footer-item a,
.footer .footer-item p {
  line-height: 35px;
  color: var(--bs-body);
  transition: 0.5s;
}
.footer .footer-item a:hover {
  color: var(--bs-primary);
  letter-spacing: 1px;
}
.footer .footer-item .footer-gallery {
  position: relative;
  overflow: hidden;
}
.footer .footer-item .footer-gallery img {
  transition: 0.5s;
}
.footer .footer-item .footer-gallery:hover img {
  transform: scale(1.2);
}
.footer .footer-item .footer-gallery .footer-search-icon {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.5s;
  opacity: 0;
}
.footer .footer-item .footer-gallery:hover .footer-search-icon {
  opacity: 1;
  background: rgba(0, 0, 0, 0.6);
}
.footer .btn-link::before {
  position: relative;
  content: "\f105";
  font: normal normal normal 14px/1 FontAwesome;
  font-weight: 900;
  margin-right: 10px;
}
.copyright {
  border-top: 1px solid rgba(255, 255, 255, 0.08);
  background: var(--bs-dark) !important;
}
.portfolio-container .property-item a img {
  height: 300px;
  object-fit: cover;
}
.event-carousel .event-item .img-fluid {
  height: 40vh;
  object-fit: cover;
}
.owl-carousel .owl-stage {
  display: flex;
}
.owl-carousel .item {
  display: flex;
  flex: 1 0 auto;
  height: 100%;
}
.partners .item {
  display: flex;
  justify-content: center;
  align-items: center;
  max-height: 200px;
}
.pricing_design .single-pricing:before {
  border-radius: 0;
}
.pricing_design .single-pricing:before {
  background-color: #fff8ed;
}
.price-content {
  background: #fff;
}
.pricing_design .single-pricing {
  padding: 60px 10px;
}
.dropdown-menu .dropdown-menu {
  margin-right: 30%;
}
.carousel-header .imgblock img {
  width: 100%;
  height: 90vh;
  object-fit: fill;
}
@media (max-width: 768px) {
  .carousel-header {
    padding-top: 90px;
  }
  .carousel-header .imgblock img {
    height: auto;
  }
  .carousel-header .carousel-inner:has(.carousel-item img.mnullimg),
  .carousel-header .carousel-item .mnullimg {
    height: 60vh;
    min-height: 400px;
    object-fit: cover;
    align-items: center;
    display: flex;
  }
}
